Index: main/waeup.kofa/trunk/src/waeup/kofa/__init__.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/__init__.py	(revision 7818)
+++ main/waeup.kofa/trunk/src/waeup/kofa/__init__.py	(revision 7819)
@@ -1,13 +1,13 @@
 import grok
-from waeup.kofa.interfaces import IKOFAObject
+from waeup.kofa.interfaces import IKofaObject
 from zope.annotation.attribute import AttributeAnnotations
 from zope.annotation.interfaces import IAnnotations
 
-class KOFAAttributeAnnotations(AttributeAnnotations, grok.Adapter):
-    """An adapter to IAnnotations for any KOFAObject.
+class KofaAttributeAnnotations(AttributeAnnotations, grok.Adapter):
+    """An adapter to IAnnotations for any KofaObject.
 
-    Providing this adapter, each KOFA object becomes (attribute)
+    Providing this adapter, each Kofa object becomes (attribute)
     annotatable.
     """
     grok.provides(IAnnotations)
-    grok.context(IKOFAObject)
+    grok.context(IKofaObject)
Index: main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/accesscode.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/accesscode.py	(revision 7818)
+++ main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/accesscode.py	(revision 7819)
@@ -31,5 +31,5 @@
 from hurry.workflow.interfaces import IWorkflowInfo, IWorkflowState
 from random import SystemRandom as random
-from waeup.kofa.interfaces import IKOFAPluggable, IObjectHistory
+from waeup.kofa.interfaces import IKofaPluggable, IObjectHistory
 from waeup.kofa.utils.logger import Logger
 from waeup.kofa.accesscodes.interfaces import (
@@ -415,5 +415,5 @@
 class AccessCodePlugin(grok.GlobalUtility):
     grok.name('accesscodes')
-    grok.implements(IKOFAPluggable)
+    grok.implements(IKofaPluggable)
 
     def setup(self, site, name, logger):
Index: main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/browser.py	(revision 7818)
+++ main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/browser.py	(revision 7819)
@@ -22,9 +22,9 @@
 from hurry.workflow.interfaces import InvalidTransitionError
 from waeup.kofa.browser.resources import datatable
-from waeup.kofa.browser import KOFAPage, KOFAAddFormPage, NullValidator
+from waeup.kofa.browser import KofaPage, KofaAddFormPage, NullValidator
 from waeup.kofa.browser.breadcrumbs import Breadcrumb
 from waeup.kofa.browser.viewlets import (
     AdminTask, AddActionButton, SearchActionButton, BatchOpButton, ManageLink)
-from waeup.kofa.interfaces import IKOFAObject
+from waeup.kofa.interfaces import IKofaObject
 from waeup.kofa.interfaces import MessageFactory as _
 from waeup.kofa.accesscodes.interfaces import (
@@ -34,7 +34,7 @@
 from waeup.kofa.browser.layout import action
 
-grok.context(IKOFAObject)
-
-class BatchContainerPage(KOFAPage):
+grok.context(IKofaObject)
+
+class BatchContainerPage(KofaPage):
     grok.name('index')
     grok.context(IAccessCodeBatchContainer)
@@ -70,5 +70,5 @@
             self.context.logger_info(ob_class, message)
 
-class AddBatchPage(KOFAAddFormPage):
+class AddBatchPage(KofaAddFormPage):
     grok.name('add')
     grok.context(IAccessCodeBatchContainer)
@@ -103,5 +103,5 @@
         self.redirect(self.url(self.context))
 
-class ReimportBatchPage(KOFAPage):
+class ReimportBatchPage(KofaPage):
     """Screen for reimporting AC batches.
     """
@@ -144,5 +144,5 @@
         self.redirect(self.url(self.context))
 
-class BatchContainerSearchPage(KOFAPage):
+class BatchContainerSearchPage(KofaPage):
     grok.name('search')
     grok.context(IAccessCodeBatchContainer)
Index: main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/interfaces.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/interfaces.py	(revision 7818)
+++ main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/interfaces.py	(revision 7819)
@@ -20,8 +20,8 @@
 from zope import schema
 from zope.interface import Interface
-from waeup.kofa.interfaces import IKOFAObject
+from waeup.kofa.interfaces import IKofaObject
 from waeup.kofa.interfaces import MessageFactory as _
 
-class IAccessCode(IKOFAObject):
+class IAccessCode(IKofaObject):
     """An access code.
     """
@@ -92,5 +92,5 @@
         )
 
-class IAccessCodeBatchContainer(IKOFAObject):
+class IAccessCodeBatchContainer(IKofaObject):
     """A container for access code batches.
     """
Index: main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/tests/test_accesscode.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/tests/test_accesscode.py	(revision 7818)
+++ main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/tests/test_accesscode.py	(revision 7819)
@@ -29,5 +29,5 @@
 from zope.testing import renormalizing
 from waeup.kofa.app import University
-from waeup.kofa.interfaces import IObjectHistory, IKOFAPluggable
+from waeup.kofa.interfaces import IObjectHistory, IKofaPluggable
 from waeup.kofa.testing import (
     FunctionalLayer, FunctionalTestCase, setUp, tearDown, getRootFolder)
@@ -412,6 +412,6 @@
     def test_iface(self):
         plugin = AccessCodePlugin()
-        assert verifyObject(IKOFAPluggable, plugin)
-        assert verifyClass(IKOFAPluggable, AccessCodePlugin)
+        assert verifyObject(IKofaPluggable, plugin)
+        assert verifyClass(IKofaPluggable, AccessCodePlugin)
 
     def test_update_w_ac_container(self):
Index: main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/workflow.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/workflow.py	(revision 7818)
+++ main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/workflow.py	(revision 7819)
@@ -26,7 +26,7 @@
 from hurry.workflow.interfaces import IWorkflowState, IWorkflowTransitionEvent
 from waeup.kofa.accesscodes.interfaces import IAccessCode
-from waeup.kofa.interfaces import IObjectHistory, IKOFAWorkflowInfo
+from waeup.kofa.interfaces import IObjectHistory, IKofaWorkflowInfo
 from waeup.kofa.interfaces import MessageFactory as _
-from waeup.kofa.workflow import KOFAWorkflow, KOFAWorkflowInfo
+from waeup.kofa.workflow import KofaWorkflow, KofaWorkflowInfo
 
 INITIALIZED = 'initialized'
@@ -113,5 +113,5 @@
     )
 
-accesscode_workflow = KOFAWorkflow(ACCESSCODE_TRANSITIONS)
+accesscode_workflow = KofaWorkflow(ACCESSCODE_TRANSITIONS)
 
 class AccessCodeWorkflowState(WorkflowState, grok.Adapter):
@@ -122,7 +122,7 @@
     state_id = 'wf.accesscode.id'
 
-class AccessCodeWorkflowInfo(KOFAWorkflowInfo, grok.Adapter):
+class AccessCodeWorkflowInfo(KofaWorkflowInfo, grok.Adapter):
     grok.context(IAccessCode)
-    grok.provides(IKOFAWorkflowInfo)
+    grok.provides(IKofaWorkflowInfo)
 
     def __init__(self, context):
Index: main/waeup.kofa/trunk/src/waeup/kofa/app.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/app.py	(revision 7818)
+++ main/waeup.kofa/trunk/src/waeup/kofa/app.py	(revision 7819)
@@ -26,5 +26,5 @@
 from waeup.kofa.hostels.container import HostelsContainer
 from waeup.kofa.interfaces import (
-    IUniversity, IKOFAPluggable, IObjectUpgradeEvent, )
+    IUniversity, IKofaPluggable, IObjectUpgradeEvent, )
 from waeup.kofa.userscontainer import UsersContainer
 from waeup.kofa.utils.logger import Logger
@@ -64,5 +64,5 @@
         """Create instances of all plugins defined somewhere.
         """
-        for name, plugin in getUtilitiesFor(IKOFAPluggable):
+        for name, plugin in getUtilitiesFor(IKofaPluggable):
             plugin.setup(self, name, self.logger)
         return
@@ -76,5 +76,5 @@
         self.logger.info('Done.')
         self.logger.info('Now upgrading any plugins.')
-        for name, plugin in getUtilitiesFor(IKOFAPluggable):
+        for name, plugin in getUtilitiesFor(IKofaPluggable):
             plugin.update(self, name, self.logger)
         self.logger.info('Plugin update finished.')
Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/applicant.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/applicant.py	(revision 7818)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/applicant.py	(revision 7819)
@@ -27,8 +27,8 @@
 from hurry.workflow.interfaces import IWorkflowInfo, IWorkflowState
 from waeup.kofa.app import University
-from waeup.kofa.image import KOFAImageFile
+from waeup.kofa.image import KofaImageFile
 from waeup.kofa.imagestorage import DefaultFileStoreHandler
 from waeup.kofa.interfaces import (
-    IObjectHistory, IFileStoreHandler, IFileStoreNameChooser, IKOFAUtils,
+    IObjectHistory, IFileStoreHandler, IFileStoreNameChooser, IKofaUtils,
     IExtFileStore, IPDF, IUserAccount)
 from waeup.kofa.students.vocabularies import RegNumNotInSource
@@ -76,5 +76,5 @@
     def display_fullname(self):
         middlename = getattr(self, 'middlename', None)
-        kofa_utils = getUtility(IKOFAUtils)
+        kofa_utils = getUtility(IKofaUtils)
         return kofa_utils.fullname(self.firstname, self.lastname, middlename)
 
@@ -291,5 +291,5 @@
             ApplicantImageStoreHandler, self).createFile(
             store, root,  filename, file_id, file)
-        return file, path, KOFAImageFile(
+        return file, path, KofaImageFile(
             file_obj.filename, file_obj.data)
 
Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py	(revision 7818)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py	(revision 7819)
@@ -35,5 +35,5 @@
 from waeup.kofa.applicants.workflow import INITIALIZED, STARTED, PAID, SUBMITTED
 from waeup.kofa.browser import (
-    KOFAPage, KOFAEditFormPage, KOFAAddFormPage, KOFADisplayFormPage,
+    KofaPage, KofaEditFormPage, KofaAddFormPage, KofaDisplayFormPage,
     DEFAULT_PASSPORT_IMAGE_PATH)
 from waeup.kofa.browser.interfaces import ICaptchaManager
@@ -44,6 +44,6 @@
 from waeup.kofa.browser.resources import datepicker, tabs, datatable, warning
 from waeup.kofa.interfaces import (
-    IKOFAObject, ILocalRolesAssignable, IExtFileStore, IPDF,
-    IFileStoreNameChooser, IPasswordValidator, IUserAccount, IKOFAUtils)
+    IKofaObject, ILocalRolesAssignable, IExtFileStore, IPDF,
+    IFileStoreNameChooser, IPasswordValidator, IUserAccount, IKofaUtils)
 from waeup.kofa.interfaces import MessageFactory as _
 from waeup.kofa.permissions import get_users_with_local_roles
@@ -56,7 +56,7 @@
 from waeup.kofa.widgets.restwidget import ReSTDisplayWidget
 
-grok.context(IKOFAObject) # Make IKOFAObject the default context
-
-class ApplicantsRootPage(KOFAPage):
+grok.context(IKofaObject) # Make IKofaObject the default context
+
+class ApplicantsRootPage(KofaPage):
     grok.context(IApplicantsRoot)
     grok.name('index')
@@ -70,5 +70,5 @@
         return
 
-class ApplicantsRootManageFormPage(KOFAEditFormPage):
+class ApplicantsRootManageFormPage(KofaEditFormPage):
     grok.context(IApplicantsRoot)
     grok.name('manage')
@@ -141,5 +141,5 @@
         return del_local_roles(self,3,**data)
 
-class ApplicantsContainerAddFormPage(KOFAAddFormPage):
+class ApplicantsContainerAddFormPage(KofaAddFormPage):
     grok.context(IApplicantsRoot)
     grok.require('waeup.manageApplication')
@@ -215,5 +215,5 @@
         return self.context.p_id
 
-class ApplicantsContainerPage(KOFADisplayFormPage):
+class ApplicantsContainerPage(KofaDisplayFormPage):
     """The standard view for regular applicant containers.
     """
@@ -232,5 +232,5 @@
     @property
     def introduction(self):
-        portal_language = getUtility(IKOFAUtils).PORTAL_LANGUAGE
+        portal_language = getUtility(IKofaUtils).PORTAL_LANGUAGE
         lang = self.request.cookies.get('kofa.language', portal_language)
         html = self.context.description_dict.get(lang,'')
@@ -246,5 +246,5 @@
         return "%s" % self.context.title
 
-class ApplicantsContainerManageFormPage(KOFAEditFormPage):
+class ApplicantsContainerManageFormPage(KofaEditFormPage):
     grok.context(IApplicantsContainer)
     grok.name('manage')
@@ -349,5 +349,5 @@
         return del_local_roles(self,3,**data)
 
-class ApplicantAddFormPage(KOFAAddFormPage):
+class ApplicantAddFormPage(KofaAddFormPage):
     """Add-form to add an applicant.
     """
@@ -372,5 +372,5 @@
         return
 
-class ApplicantDisplayFormPage(KOFADisplayFormPage):
+class ApplicantDisplayFormPage(KofaDisplayFormPage):
     grok.context(IApplicant)
     grok.name('index')
@@ -484,5 +484,5 @@
 
 
-class OnlinePaymentDisplayFormPage(KOFADisplayFormPage):
+class OnlinePaymentDisplayFormPage(KofaDisplayFormPage):
     """ Page to view an online payment ticket
     """
@@ -547,5 +547,5 @@
     @property
     def title(self):
-        portal_language = getUtility(IKOFAUtils).PORTAL_LANGUAGE
+        portal_language = getUtility(IKofaUtils).PORTAL_LANGUAGE
         return translate(_('Payment Data'), 'waeup.kofa',
             target_language=portal_language)
@@ -553,5 +553,5 @@
     @property
     def label(self):
-        portal_language = getUtility(IKOFAUtils).PORTAL_LANGUAGE
+        portal_language = getUtility(IKofaUtils).PORTAL_LANGUAGE
         return translate(_('Online Payment Receipt'),
             'waeup.kofa', target_language=portal_language) \
@@ -582,5 +582,5 @@
     #@property
     #def label(self):
-    #    portal_language = getUtility(IKOFAUtils).PORTAL_LANGUAGE
+    #    portal_language = getUtility(IKofaUtils).PORTAL_LANGUAGE
     #    container_title = self.context.__parent__.title
     #    label = translate('Application Record',
@@ -638,5 +638,5 @@
     return True
 
-class ApplicantManageFormPage(KOFAEditFormPage):
+class ApplicantManageFormPage(KofaEditFormPage):
     """A full edit view for applicant data.
     """
@@ -883,5 +883,5 @@
         return image
 
-class ApplicantRegistrationPage(KOFAAddFormPage):
+class ApplicantRegistrationPage(KofaAddFormPage):
     """Captcha'd registration page for applicants.
     """
@@ -926,5 +926,5 @@
         self.applyData(applicant, **data)
         self.context.addApplicant(applicant)
-        kofa_utils = getUtility(IKOFAUtils)
+        kofa_utils = getUtility(IKofaUtils)
         password = kofa_utils.genPassword()
         IUserAccount(applicant).setPassword(password)
@@ -941,5 +941,5 @@
         return
 
-class ApplicantRegistrationEmailSent(KOFAPage):
+class ApplicantRegistrationEmailSent(KofaPage):
     """Landing page after successful registration.
     """
Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/interfaces.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/interfaces.py	(revision 7818)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/interfaces.py	(revision 7819)
@@ -29,5 +29,5 @@
 from waeup.kofa.schema import TextLineChoice
 from waeup.kofa.interfaces import (
-    IKOFAObject, year_range, validate_email, academic_sessions_vocab)
+    IKofaObject, year_range, validate_email, academic_sessions_vocab)
 from waeup.kofa.interfaces import MessageFactory as _
 from waeup.kofa.payments.interfaces import IOnlinePayment
@@ -178,10 +178,10 @@
     pass
 
-class IApplicantsRoot(IKOFAObject, IContainer):
+class IApplicantsRoot(IKofaObject, IContainer):
     """A container for university applicants containers.
     """
     pass
 
-class IApplicantsContainer(IKOFAObject):
+class IApplicantsContainer(IKofaObject):
     """An applicants container contains university applicants.
 
@@ -352,5 +352,5 @@
     'provider'].order =  IApplicantsContainer['provider'].order
 
-class IApplicantBaseData(IKOFAObject):
+class IApplicantBaseData(IKofaObject):
     """The data for an applicant.
 
Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/pdf.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/pdf.py	(revision 7818)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/pdf.py	(revision 7819)
@@ -34,5 +34,5 @@
 from waeup.kofa.applicants.interfaces import IApplicant
 from waeup.kofa.browser import DEFAULT_PASSPORT_IMAGE_PATH
-from waeup.kofa.interfaces import IExtFileStore, IPDF, IKOFAUtils
+from waeup.kofa.interfaces import IExtFileStore, IPDF, IKofaUtils
 from waeup.kofa.interfaces import MessageFactory as _
 
@@ -54,5 +54,5 @@
     def title(self):
         container_title = self.context.__parent__.title
-        portal_language = getUtility(IKOFAUtils).PORTAL_LANGUAGE
+        portal_language = getUtility(IKofaUtils).PORTAL_LANGUAGE
         ar_translation = translate(_('Application Record'),
             'waeup.kofa', target_language=portal_language)
@@ -107,5 +107,5 @@
         if dept is None:
             return data
-        portal_language = getUtility(IKOFAUtils).PORTAL_LANGUAGE
+        portal_language = getUtility(IKofaUtils).PORTAL_LANGUAGE
         dp_translation = translate(_('Department:'),
             'waeup.kofa', target_language=portal_language)
@@ -145,5 +145,5 @@
             pdf.setAuthor('%s (%s)' % (view.request.principal.title,
                 view.request.principal.id))
-        pdf.setCreator('KOFA')
+        pdf.setCreator('Kofa')
         width, height = A4
         style = getSampleStyleSheet()
@@ -171,5 +171,5 @@
         # Render widget fields
         widgets = self._setUpWidgets()
-        portal_language = getUtility(IKOFAUtils).PORTAL_LANGUAGE
+        portal_language = getUtility(IKofaUtils).PORTAL_LANGUAGE
         for widget in widgets: # self.widgets:
             f_label = '<font size=12>%s</font>:' % translate(
Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/root.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/root.py	(revision 7818)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/root.py	(revision 7819)
@@ -23,5 +23,5 @@
 from hurry.query.interfaces import IQuery
 from zope.component import getUtility
-from waeup.kofa.interfaces import IKOFAPluggable
+from waeup.kofa.interfaces import IKofaPluggable
 from waeup.kofa.applicants.interfaces import IApplicantsRoot
 from waeup.kofa.utils.logger import Logger
@@ -46,5 +46,5 @@
 
 class ApplicantsPlugin(grok.GlobalUtility):
-    """A KOFAPlugin that creates an applicants root in portal.
+    """A KofaPlugin that creates an applicants root in portal.
 
     This plugin should be called by a typical
@@ -53,8 +53,8 @@
     the main site configuration.
 
-    Implements :class:`waeup.kofa.interfaces.IKOFAPluggable`
+    Implements :class:`waeup.kofa.interfaces.IKofaPluggable`
     """
     grok.name('applicants')
-    grok.implements(IKOFAPluggable)
+    grok.implements(IKofaPluggable)
     log_prefix = 'ApplicantsPlugin'
 
Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_applicant.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_applicant.py	(revision 7818)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_applicant.py	(revision 7819)
@@ -26,5 +26,5 @@
 from zope.interface import verify, implements
 from zope.location.interfaces import ILocation
-from waeup.kofa.image.interfaces import IKOFAImageFile
+from waeup.kofa.image.interfaces import IKofaImageFile
 from waeup.kofa.imagestorage import DefaultStorage
 from waeup.kofa.interfaces import IFileStoreHandler, IFileStoreNameChooser
@@ -38,5 +38,5 @@
 class FakeImageLocation(object):
     implements(ILocation)
-    adapts(IKOFAImageFile)
+    adapts(IKofaImageFile)
     def __init__(self, context):
         pass
Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/viewlets.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/viewlets.py	(revision 7818)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/viewlets.py	(revision 7819)
@@ -18,5 +18,5 @@
 import grok
 from hurry.workflow.interfaces import IWorkflowState
-from waeup.kofa.interfaces import IKOFAObject
+from waeup.kofa.interfaces import IKofaObject
 from waeup.kofa.students.viewlets import PrimaryStudentNavTab
 from waeup.kofa.browser.viewlets import ManageActionButton, PrimaryNavTab
@@ -32,5 +32,5 @@
 from waeup.kofa.interfaces import MessageFactory as _
 
-grok.context(IKOFAObject) # Make IKOFAObject the default context
+grok.context(IKofaObject) # Make IKofaObject the default context
 grok.templatedir('browser_templates')
 
@@ -38,5 +38,5 @@
     """Applicants tab in primary navigation.
     """
-    grok.context(IKOFAObject)
+    grok.context(IKofaObject)
     grok.order(3)
     grok.require('waeup.viewApplicantsTab')
Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/workflow.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/workflow.py	(revision 7818)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/workflow.py	(revision 7819)
@@ -22,7 +22,7 @@
 from hurry.workflow.interfaces import IWorkflowState, IWorkflowTransitionEvent
 from waeup.kofa.applicants.interfaces import IApplicantBaseData
-from waeup.kofa.interfaces import IObjectHistory, IKOFAWorkflowInfo, IKOFAUtils
+from waeup.kofa.interfaces import IObjectHistory, IKofaWorkflowInfo, IKofaUtils
 from waeup.kofa.interfaces import MessageFactory as _
-from waeup.kofa.workflow import KOFAWorkflow, KOFAWorkflowInfo
+from waeup.kofa.workflow import KofaWorkflow, KofaWorkflowInfo
 
 INITIALIZED = 'initialized'
@@ -137,5 +137,5 @@
     )
 
-application_workflow = KOFAWorkflow(APPLICATION_TRANSITIONS)
+application_workflow = KofaWorkflow(APPLICATION_TRANSITIONS)
 
 class ApplicationWorkflowState(WorkflowState, grok.Adapter):
@@ -148,9 +148,9 @@
     state_id = 'wf.application.id'
 
-class ApplicationWorkflowInfo(KOFAWorkflowInfo, grok.Adapter):
+class ApplicationWorkflowInfo(KofaWorkflowInfo, grok.Adapter):
     """Adapter to adapt Applicant objects to workflow info objects.
     """
     grok.context(IApplicantBaseData)
-    grok.provides(IKOFAWorkflowInfo)
+    grok.provides(IKofaWorkflowInfo)
 
     def __init__(self, context):
Index: main/waeup.kofa/trunk/src/waeup/kofa/authentication.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/authentication.py	(revision 7818)
+++ main/waeup.kofa/trunk/src/waeup/kofa/authentication.py	(revision 7819)
@@ -16,5 +16,5 @@
 ## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 ##
-"""Authentication for KOFA.
+"""Authentication for Kofa.
 """
 import grok
@@ -34,5 +34,5 @@
 from waeup.kofa.interfaces import (ILocalRoleSetEvent,
     IUserAccount, IAuthPluginUtility, IPasswordValidator,
-    IKOFAPrincipal, IKOFAPrincipalInfo)
+    IKofaPrincipal, IKofaPrincipalInfo)
 
 def setup_authentication(pau):
@@ -63,5 +63,5 @@
     return principalRoleManager
 
-class KOFASessionCredentialsPlugin(grok.GlobalUtility,
+class KofaSessionCredentialsPlugin(grok.GlobalUtility,
                                     SessionCredentialsPlugin):
     grok.provides(ICredentialsPlugin)
@@ -72,11 +72,11 @@
     passwordfield = 'form.password'
 
-class KOFAPrincipalInfo(object):
-    """An implementation of IKOFAPrincipalInfo.
-
-    A KOFA principal info is created with id, login, title, description,
+class KofaPrincipalInfo(object):
+    """An implementation of IKofaPrincipalInfo.
+
+    A Kofa principal info is created with id, login, title, description,
     phone, email and user_type.
     """
-    grok.implements(IKOFAPrincipalInfo)
+    grok.implements(IKofaPrincipalInfo)
 
     def __init__(self, id, title, description, email, phone, user_type):
@@ -90,12 +90,12 @@
         self.authenticatorPlugin = None
 
-class KOFAPrincipal(Principal):
+class KofaPrincipal(Principal):
     """A portal principal.
 
-    KOFA principals provide an extra `email`, `phone` and `user_type`
+    Kofa principals provide an extra `email`, `phone` and `user_type`
     attribute extending ordinary principals.
     """
 
-    grok.implements(IKOFAPrincipal)
+    grok.implements(IKofaPrincipal)
 
     def __init__(self, id, title=u'', description=u'', email=u'',
@@ -112,15 +112,15 @@
 
     def __repr__(self):
-        return 'KOFAPrincipal(%r)' % self.id
-
-class AuthenticatedKOFAPrincipalFactory(grok.MultiAdapter):
-    """Creates 'authenticated' KOFA principals.
-
-    Adapts (principal info, request) to a KOFAPrincipal instance.
+        return 'KofaPrincipal(%r)' % self.id
+
+class AuthenticatedKofaPrincipalFactory(grok.MultiAdapter):
+    """Creates 'authenticated' Kofa principals.
+
+    Adapts (principal info, request) to a KofaPrincipal instance.
 
     This adapter is used by the standard PAU to transform
-    KOFAPrincipalInfos into KOFAPrincipal instances.
-    """
-    grok.adapts(IKOFAPrincipalInfo, IRequest)
+    KofaPrincipalInfos into KofaPrincipal instances.
+    """
+    grok.adapts(IKofaPrincipalInfo, IRequest)
     grok.implements(IAuthenticatedPrincipalFactory)
 
@@ -130,5 +130,5 @@
 
     def __call__(self, authentication):
-        principal = KOFAPrincipal(
+        principal = KofaPrincipal(
             self.info.id,
             self.info.title,
@@ -224,5 +224,5 @@
         if not account.checkPassword(credentials['password']):
             return None
-        return KOFAPrincipalInfo(
+        return KofaPrincipalInfo(
             id=account.name,
             title=account.title,
@@ -236,5 +236,5 @@
         if account is None:
             return None
-        return KOFAPrincipalInfo(
+        return KofaPrincipalInfo(
             id=account.name,
             title=account.title,
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/__init__.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/__init__.py	(revision 7818)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/__init__.py	(revision 7819)
@@ -2,6 +2,6 @@
 
 from waeup.kofa.browser.layout import (
-    KOFAPage, KOFAForm, KOFALayout, KOFADisplayFormPage, KOFAEditFormPage,
-    KOFAAddFormPage, NullValidator)
+    KofaPage, KofaForm, KofaLayout, KofaDisplayFormPage, KofaEditFormPage,
+    KofaAddFormPage, NullValidator)
 from waeup.kofa.browser.pages import ContactAdminForm
 
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/breadcrumbs.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/breadcrumbs.py	(revision 7818)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/breadcrumbs.py	(revision 7819)
@@ -34,5 +34,5 @@
     """
     grok.provides(IBreadcrumb)
-    grok.context(interfaces.IKOFAObject)
+    grok.context(interfaces.IKofaObject)
     grok.name('index')
 
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/captcha.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/captcha.py	(revision 7818)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/captcha.py	(revision 7819)
@@ -28,5 +28,5 @@
 from zope.interface import Interface
 from zope.publisher.interfaces.http import IHTTPRequest
-from waeup.kofa.browser import KOFAPage
+from waeup.kofa.browser import KofaPage
 from waeup.kofa.browser.interfaces import (
     ICaptchaRequest, ICaptchaResponse, ICaptcha, ICaptchaConfig,
@@ -171,5 +171,5 @@
     """ReCaptcha - strong captchas with images, sound, etc.
 
-    This is the KOFA implementation to support captchas as provided by
+    This is the Kofa implementation to support captchas as provided by
     http://www.google.com/recaptcha.
 
@@ -266,5 +266,5 @@
             headers = {
                 "Content-type": "application/x-www-form-urlencoded",
-                "User-agent": "reCAPTCHA Python KOFA",
+                "User-agent": "reCAPTCHA Python Kofa",
                 }
             )
@@ -319,5 +319,5 @@
 
 
-class CaptchaTestPage(KOFAPage):
+class CaptchaTestPage(KofaPage):
     # A test page to see a captcha in action
     grok.name('captcha')
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/exceptions.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/exceptions.py	(revision 7818)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/exceptions.py	(revision 7819)
@@ -22,5 +22,5 @@
 from zope.publisher.interfaces import INotFound
 from zope.security.interfaces import IUnauthorized
-from waeup.kofa.browser.layout import KOFAPage
+from waeup.kofa.browser.layout import KofaPage
 
 grok.templatedir('templates')
@@ -61,5 +61,5 @@
 
 
-class NotFoundPage(KOFAPage):
+class NotFoundPage(KofaPage):
     """A page rendered when an object cannot be found.
 
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/interfaces.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/interfaces.py	(revision 7818)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/interfaces.py	(revision 7819)
@@ -21,5 +21,5 @@
 from zope.interface import Interface, Attribute
 from waeup.kofa.interfaces import (
-    IKOFAObject, IUniversity, IUsersContainer, IDataCenter)
+    IKofaObject, IUniversity, IUsersContainer, IDataCenter)
 from waeup.kofa.university.interfaces import (
     IFacultiesContainer, IFaculty, IFacultyAdd, IDepartment, IDepartmentAdd,
